package main

type JugdeRaceInfo struct {
	Nation string
}

type JumperInfo struct {
	Name   string
	Bib    string
	Nation string
	Image  string
}

type JumperScore struct {
	Name   string
	Bib    string
	Nation string
	Points float64
	Rank   int
	Wind   float64
	Length string
	Judges [5]Judge
}

type Judge struct {
	Nation  string
	Score   float64
	Discard bool
}

type BerkutschiJumpUpdateMessages []BerkutschiJumpUpdateMessage
type BerkutschiJumpUpdateMessage struct {
	Channel string `json:"channel"`
	Data    struct {
		Current struct {
			Bib   string `json:"bib"`
			Club  string `json:"club"`
			Cumul struct {
				Points float64 `json:"points"`
				Rank   int64   `json:"rank"`
			} `json:"cumul"`
			DateOfBirth string      `json:"date_of_birth"`
			Dnf         bool        `json:"dnf"`
			DNS         bool        `json:"dns"`
			Dq          bool        `json:"dq"`
			Dqp         bool        `json:"dqp"`
			Dtb1        interface{} `json:"dtb1"`
			Dtb2        interface{} `json:"dtb2"`
			Dtb3        interface{} `json:"dtb3"`
			Firstname   string      `json:"firstname"`
			Fiscode     string      `json:"fiscode"`
			Gatecomp    int64       `json:"gatecomp"`
			Gatesnumber interface{} `json:"gatesnumber"`
			Image       string      `json:"image"`
			Image2      string      `json:"image2"`
			Image3      string      `json:"image3"`
			Judge       struct {
				One struct {
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
					Discard bool    `json:"discard"`
				} `json:"1"`
				Two struct {
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
					Discard bool    `json:"discard"`
				} `json:"2"`
				Three struct {
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
					Discard bool    `json:"discard"`
				} `json:"3"`
				Four struct {
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
					Discard bool    `json:"discard"`
				} `json:"4"`
				Five struct {
					ID      string  `json:"id"`
					Order   int64   `json:"order"`
					Rate    float64 `json:"rate"`
					Discard bool    `json:"discard"`
				} `json:"5"`
			} `json:"judge"`
			Judgetotal struct {
				Points float64 `json:"points"`
				Rank   int64   `json:"rank"`
			} `json:"judgetotal"`
			Lastname string `json:"lastname"`
			Length   struct {
				Length float64 `json:"length"`
				Points float64 `json:"points"`
			} `json:"length"`
			Nat    string `json:"nat"`
			Nps    bool   `json:"nps"`
			Points struct {
				Points float64 `json:"points"`
				Rank   int     `json:"rank"`
			} `json:"points"`
			Speed struct {
				Speed string `json:"speed"`
			} `json:"speed"`
			Wind struct {
				Compensation float64 `json:"compensation"`
				Wind         float64 `json:"wind"`
			} `json:"wind"`
		} `json:"current"`
		Next struct {
			Bib         string `json:"bib"`
			Club        string `json:"club"`
			DateOfBirth string `json:"date_of_birth"`
			Firstname   string `json:"firstname"`
			Fiscode     string `json:"fiscode"`
			Image       string `json:"image"`
			Image2      string `json:"image2"`
			Image3      string `json:"image3"`
			Lastname    string `json:"lastname"`
			Nat         string `json:"nat"`
		} `json:"next"`
	} `json:"data"`
}
